Summary:	H264/AVC encoder
Name:		x264
%define	major	124
Version:	0.%{major}
%define	date	20120607
Release:	0.%{date}.1
%define	rev	2245
%define	fname	%{name}-snapshot-%{date}-%{rev}-stable
Source0:	ftp://ftp.videolan.org/pub/videolan/x264/snapshots/%fname.tar.bz2

License:	GPLv2+
Group:		Video
Url:		http://x264.nl/

BuildRequires:	yasm
BuildRequires:	git-core
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libavfilter)

%description
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

This package is in tainted repository as the video encoder may be covered
by software patents.

%define	libname	%mklibname %{name}_ %{major}
%define	devname	%mklibname -d %{name}
%define staticname %mklibname -d %{name}-static

%package -n	%{libname}
Summary:	Shared library of x264
Group:		System/Libraries

%description -n	%{libname}
x264 dynamic libraries

%package -n	%{devname}
Summary:	H264/AVC encoding library headers
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n	%{devname}
x264 is a free library for encoding H264/AVC video streams. The code
is written by Laurent Aimar, Eric Petit(OS X), Min Chen (vfw/nasm),
Justin Clay(vfw), Måns Rullgård and Loren Merritt from scratch. It is
released under the terms of the GPL license.

%package -n	%{staticname}
Summary:	Static library for the x264 H264/AVC encoding library
Group:		Development/C
Requires:	%{devname} = %{EVRD}

%description -n %{staticname}
Static library for the x264 H264/AVC encoding library

%prep
%setup -q -n %{fname}

%build
CFLAGS="%{optflags} -Ofast" \
%configure2_5x	--enable-shared \
		--enable-pic \
		--enable-visualize \
		--enable-static
%make

%install
%makeinstall

%files
%doc AUTHORS doc/*
%{_bindir}/%{name}

%files -n %{libname}
%{_libdir}/libx264.so.%{major}*

%files -n %{devname}
%{_libdir}/libx264.so
%{_includedir}/*.h
%{_libdir}/pkgconfig/*.pc

%files -n %{staticname}
%{_libdir}/libx264.a


%changelog
* Fri Jun 08 2012 Bernhard Rosenkraenzer <bero@bero.eu> 0.124-0.20120607.1
+ Revision: 803377
- Update
- Build for current ffmpeg
- Split out -static-devel package

* Tue Jan 10 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.120-0.20111212.1
+ Revision: 759256
- fix formatting..
- don't lower optimization level to -O2
- use %%configure2_5x macro
- use %%{EVRD} macro
- drop lib%%{name}-devel provides
- use pkgconfig() dependencies
- clean out legacy rpm junk
- apply some cosmetics
- new version

* Fri Jul 29 2011 Götz Waschk <waschk@mandriva.org> 0.115-0.20110623.1
+ Revision: 692256
- fix group
- fix deps
- remove gpac dep

  + Andrey Bondrov <abondrov@mandriva.org>
    - Fix group
    - imported package x264


* Sat Jul 09 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 1:0.115-0.20110623.1mib2010.2
- Port to MIB
- Make epoch 1 to allow upgrade from 1.92 (which is 0.92 in fact)
- MIB (Mandriva International backports)

* Fri Jun 24 2011 fwang <fwang> 0.115-0.20110623.1.mga2
+ Revision: 112932
- build static libs
- new snapshot required by ffmpeg 0.8

* Sat May 07 2011 mikala <mikala> 0.110-0.20101203.2.mga1
+ Revision: 95796
- Clean Spec
- Remove plf reference
- imported package x264


* Sat Dec  4 2010 Götz Waschk <goetz@zarb.org> 0.110-0.20101203.1plf2011.0
- update build deps
- remove old configure options
- new major
- new version

* Wed May  5 2010 Götz Waschk <goetz@zarb.org> 0.94-0.20100504.1plf2010.1
- new version numbering schema
- new major
- new snapshot

* Sat Jan 23 2010 Götz Waschk <goetz@zarb.org> 0.83.2245-1plf2010.1
- new major
- new snapshot

* Wed Dec  9 2009 Götz Waschk <goetz@zarb.org> 0.79.2245-1plf2010.1
- new major
- new version

* Sat Nov  7 2009 Götz Waschk <goetz@zarb.org> 0.78.2245-1plf2010.1
- new major
- new version

* Sun Oct 12 2008 Götz Waschk <goetz@zarb.org> 0.65.2245-1plf2009.1
- new major
- new version

* Thu Apr 24 2008 Götz Waschk <goetz@zarb.org> 0.59.2245-1plf2009.0
- update license tag
- fix buildrequires
- new major
- new version

* Wed Jan  2 2008 Götz Waschk <goetz@zarb.org> 0.57.714-1plf2008.1
- new major
- new version

* Fri Oct 12 2007 Götz Waschk <goetz@zarb.org> 0.56.680-1plf2008.1
- new devel name
- new major
- new snapshot

* Thu Jan  4 2007 Götz Waschk <goetz@zarb.org> 0.54.616-1plf2007.1
- new snapshot

* Wed Oct 18 2006 Götz Waschk <goetz@zarb.org> 0.54.594-1plf2007.1
- new major
- new version

* Sun Sep 03 2006 Anssi Hannula <anssi@zarb.org> 0.50.558-2plf2007.0
- fix buildrequires

* Tue Aug 29 2006 Götz Waschk <goetz@zarb.org> 0.50.558-1plf2007.0
- new major
- new  snapshot

* Fri Jun 30 2006 Austin Acton <austin@zarb.org> 0.47.533-1plf
- new checkout
- get rid of usr/local
- enable visualize
- enable mp4 through gpac

* Mon Apr 24 2006 Austin Acton <austin@zarb.org> 0.46.511-1plf
- new checkout
- PLF reason
- URL

* Thu Mar 23 2006 Götz Waschk <goetz@zarb.org> 0.45.478-2plf
- fix symlink

* Wed Mar 22 2006 Austin Acton <austin@zarb.org> 0.45.478-1plf
- new checkout
- build shared library

* Mon Jan 23 2006 Austin Acton <austin@zarb.org> 0.44.409-1plf
- use version number from config.h
- new checkout

* Tue Nov 22 2005 Austin Acton <austin@zarb.org> 0-0.375.1plf
- svn 375
- add pkgconfig file
- PIC patch seems to have been applied upstream

* Thu Nov 10 2005 Anssi Hannula <anssi@zarb.org> 0-0.364.2plf
- fix x86_64 asm to be PIC (patch2)
- dropped patch1, upstream

* Tue Nov 1 2005 Austin Acton <austin@zarb.org> 0-0.364.1plf
- svn 364
- enable threads

* Thu Oct  6 2005 Anssi Hannula <anssi@zarb.org> 0-0.315.1plf
- new snapshot
- x86_64 fixes (patch1)

* Sat Sep 24 2005 Stefan van der Eijk <stefan@zarb.org> 0-0.293.2plf
- BuildRequires

* Mon Sep 19 2005 Götz Waschk <goetz@zarb.org> 0-0.293.1plf
- new snapshot

* Tue Sep  6 2005 Götz Waschk <goetz@zarb.org> 0-0.291.1plf
- initial package
